From 9eaee0b54cf725226af160b4c75a55a6ee9d78bf Mon Sep 17 00:00:00 2001
From: Bernd Flemisch <bernd@iws.uni-stuttgart.de>
Date: Tue, 7 Feb 2012 21:08:30 +0000
Subject: [PATCH] changed back to the correct behavior in runTest.sh. Actually
 the default return value of startWithParameters was wrong

git-svn-id: svn://svn.iws.uni-stuttgart.de/DUMUX/dumux/trunk@7662 2fb0f335-1f38-0410-981e-8018bf24f1b0
---
 bin/runTest.sh        | 2 +-
 dumux/common/start.hh | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/bin/runTest.sh b/bin/runTest.sh
index deb9f9c5aa..d1d7e403bb 100755
--- a/bin/runTest.sh
+++ b/bin/runTest.sh
@@ -46,7 +46,7 @@ fi
 echo "######################"
 echo "# Running test"
 echo "######################"
-if "$TEST_BINARY" $TEST_ARGS; then
+if ! "$TEST_BINARY" $TEST_ARGS; then
     echo "Executing the binary failed!"
     exit 1
 fi
diff --git a/dumux/common/start.hh b/dumux/common/start.hh
index 5fbafa30d5..7cf3b5d137 100644
--- a/dumux/common/start.hh
+++ b/dumux/common/start.hh
@@ -516,7 +516,7 @@ int startWithParameters_(int argc,
     if (printParams && mpiHelper.rank() == 0) {
         Dumux::Parameters::print<TypeTag>();
     }
-    return 1;
+    return 0;
 
 
 }
-- 
GitLab